IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOMENTRY_VAL') CREATE INDEX IDX_PDM_MFTBOMENTRY_VAL ON T_PDM_MFTBOMENTRY(FVALIDDATE);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOMENTRY_INVAL') CREATE INDEX IDX_PDM_MFTBOMENTRY_INVAL ON T_PDM_MFTBOMENTRY(FINVALIDDATE);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOMENTRY_VER') CREATE INDEX IDX_PDM_MFTBOMENTRY_VER ON T_PDM_MFTBOMENTRY(FVERSIONID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOMENTRY_FFTYPE') CREATE INDEX IDX_PDM_MFTBOMENTRY_FFTYPE ON T_PDM_MFTBOMENTRY(FFEATURETYPE);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOM_REPNO') CREATE INDEX IDX_PDM_MFTBOM_REPNO ON T_PDM_MFTBOM(FREPLACENOID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOM_STATUS') CREATE INDEX IDX_PDM_MFTBOM_STATUS ON T_PDM_MFTBOM(FSTATUS);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOM_TYPE') CREATE INDEX IDX_PDM_MFTBOM_TYPE ON T_PDM_MFTBOM( FTYPEID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_MFTBOM_ENABLE') CREATE INDEX IDX_PDM_MFTBOM_ENABLE ON T_PDM_MFTBOM( FENABLE );
